Skip to main content
`Ctrl`+`K`

# GLTextItem

class pyqtgraph.opengl.GLTextItem(

  parentItem=None,
  **kwds,

)

  Draws text in 3D.

  __init__(
    parentItem=None,
    **kwds,
  )

    All keyword arguments are passed to setData()

  align_text(
    pos,
  )

    Aligns the text at the given position according to the given alignment.

  setData(
    **kwds,
  )

    Update the data displayed by this item. All arguments are optional; for example it is allowed to update text while leaving colors unchanged, etc.

    Arguments:
    pos | (3,) array of floats specifying text location.
    color | QColor or array of ints [R,G,B] or [R,G,B,A]. (Default: Qt.white)
    text | String to display.
    font | QFont (Default: QFont(‘Helvetica’, 16))
    alignment | QtCore.Qt.AlignmentFlag (Default: QtCore.Qt.AlignmentFlag.AlignLeft | QtCore.Qt.AlignmentFlag.AlignBottom)